- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Fields

# libiscsi_auth_info Struct Reference

generic libiscsi authentication information struct More...

`#include <libiscsi.h>`

## Data Fields
enum libiscsi_auth_t | method
union {
libiscsi_chap_auth_info chap
}; |

## Detailed Description

Struct holding authentication information for discovery and login.

## Field Documentation

union { ... }

Union holding method depenend info

struct libiscsi_chap_auth_info libiscsi_auth_info::chap

Chap specific info

enum libiscsi_auth_t libiscsi_auth_info::method

Authentication method to use

The documentation for this struct was generated from the following file:

- libiscsi.h